> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bevor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# get tree

> get the tree of relevant code segments for a code version



## OpenAPI

````yaml /api-reference/openapi.json get /codes/{version_id}/nodes/{node_id}
openapi: 3.0.0
info:
  title: BevorAI API
  version: 1.0.0
servers: []
security: []
tags:
  - name: project
    description: Managing projects, which are used to group code versions
  - name: code
    description: >-
      Used for retrieving or creating smart contract references. Required for
      creating analyses.
  - name: analysis
    description: Managing security analyses
  - name: chat
    description: Chat functionality for interacting with audit results
paths:
  /codes/{version_id}/nodes/{node_id}:
    get:
      tags:
        - code
      summary: get tree
      description: get the tree of relevant code segments for a code version
      parameters:
        - name: version_id
          in: path
          required: true
          schema:
            type: string
        - name: node_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  id:
                    title: Id
                    type: string
                  source_id:
                    title: Source Id
                    type: string
                  contract_id:
                    type: string
                    nullable: true
                  generic_id:
                    type: string
                    nullable: true
                  node_type:
                    enum:
                      - ArrayTypeName
                      - Assignment
                      - BinaryOperation
                      - Block
                      - Break
                      - Conditional
                      - Continue
                      - ContractDefinition
                      - DoWhileStatement
                      - ElementaryTypeNameExpression
                      - ElementaryTypeName
                      - EmitStatement
                      - EnumDefinition
                      - EnumValue
                      - ErrorDefinition
                      - EventDefinition
                      - ExpressionStatement
                      - FallBack
                      - ForStatement
                      - FunctionCall
                      - FunctionCallOptions
                      - FunctionDefinition
                      - FunctionTypeName
                      - Identifier
                      - IdentifierPath
                      - IfStatement
                      - ImportDirective
                      - IndexAccess
                      - IndexRangeAccess
                      - InheritanceSpecifier
                      - InlineAssembly
                      - Literal
                      - Mapping
                      - MemberAccess
                      - ModifierDefinition
                      - ModifierInvocation
                      - NewExpression
                      - OverrideSpecifier
                      - ParameterList
                      - PlaceholderStatement
                      - PragmaDirective
                      - Return
                      - RevertStatement
                      - SourceUnit
                      - StructuredDocumentation
                      - StructDefinition
                      - TryCatchClause
                      - TryStatement
                      - TupleExpression
                      - UnaryOperation
                      - UncheckedBlock
                      - UserDefinedTypeName
                      - UserDefinedValueTypeDefinition
                      - UsingForDirective
                      - VariableDeclaration
                      - VariableDeclarationStatement
                      - WhileStatement
                      - YulAssignment
                      - YulBlock
                      - YulBreak
                      - YulCase
                      - YulContinue
                      - YulExpressionStatement
                      - YulForLoop
                      - YulFunctionCall
                      - YulFunctionDefinition
                      - YulIdentifier
                      - YulIf
                      - YulLeave
                      - YulLiteral
                      - YulSwitch
                      - YulTypedName
                      - YulVariableDeclaration
                    title: Node Type
                    type: string
                  src_start_pos:
                    title: Src Start Pos
                    type: integer
                  src_end_pos:
                    title: Src End Pos
                    type: integer
                  name:
                    title: Name
                    type: string
                  signature:
                    type: string
                    nullable: true
                  path:
                    title: Path
                    type: string
                  is_auditable:
                    title: Is Auditable
                    type: boolean
                  content:
                    title: Content
                    type: string
                  children:
                    additionalProperties: true
                    title: Children
                    type: object
                required:
                  - id
                  - source_id
                  - node_type
                  - src_start_pos
                  - src_end_pos
                  - name
                  - path
                  - is_auditable
                  - content
                  - children
                title: NodeAttributeWithContentSchema
                type: object
        '400':
          description: Error Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - BearerAuth: []
components:
  schemas:
    ApiError:
      properties:
        code:
          enum:
            - auth.session_expired
            - auth.session_revoked
            - auth.session_invalid
            - auth.user_does_not_exist
            - auth.invalid_team_membership
            - auth.unauthorized
            - auth.key_revoked
            - auth.key_invalid
            - auth.payment_required
            - error.not_found
            - error.validation
            - error.server
            - error.invalid_scope
            - error.limit
            - error.entity_deletedcompiler.error
            - compiler.validation_error
            - compiler.authorization_error
            - compiler.not_found_error
            - compiler.invalid_version_error
            - compiler.old_version_error
            - explorer.contract_not_verified_error
            - explorer.contract_not_found_error
            - explorer.contract_fetch_error
            - compiler.internal_error
            - compiler.binary_error
            - compiler.compiler_error
            - ast.invalid_node
            - ast.invalid_reference
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ApiError
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key in Bearer token format

````